<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

?>
<script type="text/javascript">
	function addbonus() {
        $.post('ajax.php?func=addbonus', {
        }, function(data) {
            if(data == 1) {
                $('#success_bonus').fadeIn(500);
                setTimeout(function() {
                    $('#success_bonus').fadeOut(500);
					Page.Go('bonus');
                }, 4000);
            } else {
				$('#error_bonus').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_bonus').fadeOut(500).html('&nbsp;');
                }, 4000);
			}
        });
        return false;
    }
</script>

<div class="content_bar content_bar_fix_chain">
  <article class="postBox">
	
	<div class="h2-title-header"><h2><a>Ежедневные бонусы</a></h2></div>
	
	<div class="image_bonus_24h_p"></div>
	<div class="textPreview" style="">
	  <p class="earnings_text" style="color: #545454;">
		Вы можете получать дополнительный бонус каждый день. Для этого вам необходимо, заходить каждый день в этот раздел и нажимать на кнопку получить бонус, система случайным образом выберет тип и размер бонуса, и зачислит на ваш счет. Обращаем ваше внимание что бонус бывает двух типов, денежный и рейтинговый. Желаем удачи! 
	  </p>
	</div>

	<div class="bonus-24h-block">
	  
	  <div class="bonus24h-fon">
	    <h5 >Бонус выдается:</h5>
		<div class="prem">Деньгами {от <?=$config['minBonus24hRUB']?> до <?=$config['maxBonus24hRUB']?>}</div>
		<div class="prem">Рейтингом {от <?=$config['minBonus24hRATING']?> до <?=$config['maxBonus24hRATING']?>}</div>
	  
	    <div class="button-bonus-fix"><a href="#" class="btn_box" onclick="addbonus(); return false;">Получить бонус</a></div>
	  </div>
	</div>
	
	<div class="alert alert-danger writle-none" id="error_bonus" role="alert"></div>
	<div class="alert alert-success writle-none" id="success_bonus" role="alert">
	  <strong>Урааа!</strong> Вы получили бонус.
	</div>
	
    <div class="div-display-flex" >
	 <div class="">
	  <div class="text_title"><i class="fa fa-arrow-up" aria-hidden="true"></i> Последние 15 получивших бонус по дате</div>
	  <table class="standartTable" style="width: 380px;">
	    <thead>
		  <th style="width: 5%; text-align: center;">№</th>
		  <th style=" text-align: left;">Участник</th>
		  <th style="width: 35%; text-align: center;">Сумма бонуса</th>
		  
        </thead>		
	    <?
		  $i_bonus = 0;
		  $bonusUser = mysql_query( "SELECT * FROM user WHERE bonusSUME > '0' ORDER BY bonusTIME DESC limit 15" );
		  while ( $bonusUserRow = mysql_fetch_array( $bonusUser ) ) {
			$i_bonus++;
			if($bonusUserRow['bonusTUPE'] == 1) { $priz = $config['valutaname']; } else { $priz = 'рейтинга'; }  
			?>
			<tr>
			  <td style="text-align: center;"><?=$i_bonus?></td>
			  <td style="text-align: left;"><?=$bonusUserRow['username']?></td>
			  <td style="text-align: center;"><?=$bonusUserRow['bonusSUME']?> <?=$priz?></td>
			  
			</tr>
			<?
		  }
	    ?>
	  </table>
	 </div>
	 <div class="bonus24h-table-right">
	  <div class="text_title"><i class="fa fa-arrow-up" aria-hidden="true"></i> Последние 15 получивших бонус по сумме</div>
	  <table class="standartTable" style="width: 380px;">
	    <thead>
		  <th style="width: 5%; text-align: center;">№</th>
		  <th style=" text-align: left;">Участник</th>
		  <th style="width: 35%; text-align: center;">Сумма бонуса</th>
		  
        </thead>		
	    <?
		  $i_bonus_2 = 0;
		  $bonusUser = mysql_query( "SELECT * FROM user WHERE bonusSUME > '0' ORDER BY bonusSUME DESC limit 15" );
		  while ( $bonusUserRow = mysql_fetch_array( $bonusUser ) ) {
			$i_bonus_2++;
			if($bonusUserRow['bonusTUPE'] == 1) { $priz = $config['valutaname']; } else { $priz = 'рейтинга'; }  
			?>
			<tr>
			  <td style="text-align: center;"><?=$i_bonus_2?></td>
			  <td style="text-align: left;"><?=$bonusUserRow['username']?></td>
			  <td style="text-align: center;"><?=$bonusUserRow['bonusSUME']?> <?=$priz?></td>
			  
			</tr>
			<?
		  }
	    ?>
	  </table>
	 </div>
    </div>
	
	<div class="banner_gorizontal banner_gorizontal_fix"><? include_once ROOT_DIR . '/modules/banner468x60/rotator.php';?></div>
  </article>
</div>